#### D.5.12.2 Eresol

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  Eresol(J); J ideal

Return:
  The E-resolution of singularities of J in terms of the affine charts, see example

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1..2)),dp;
    ideal J=x(1)^2-x(2)^3;
    list L=Eresol(J);
    "Please press return after each break point to see the next element of the output list";
    ==> Please press return after each break point to see the next element of the\
        output list
    L[1][1]; // information of the first chart, L[1] list of charts
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    0
    ==> [3]:
    ==>    0
    ==> [4]:
    ==>    [1]:
    ==>       [1]:
    ==>          [1]:
    ==>             0
    ==>          [2]:
    ==>             3
    ==>       [2]:
    ==>          [1]:
    ==>             2
    ==>          [2]:
    ==>             0
    ==> [5]:
    ==>    [1]:
    ==>       [1]:
    ==> -1
    ==>       [2]:
    ==> 1
    ==> [6]:
    ==>    [1]:
    ==>       0
    ==>    [2]:
    ==>       0
    ==> [7]:
    ==>    0
    ==> [8]:
    ==>    [1]:
    ==>       0
    ==>    [2]:
    ==>       0
    ==> [9]:
    ==>    _[1]=-gen(2)
    ==> [10]:
    ==>    empty list
    ==> [11]:
    ==>    empty list
    ~;
    ==>
    ==> -- break point in ./examples/Eresol.sing --

User manual for Singular version 4.4.1, 2025, generated by texi2html.